
var mapType = 0;

var sourceUrls = new Array(
		'http://maps.google.com?q=',
		'http://jacos.net/locator/?address=',
		'http://www.geotour.ge/maps/?address=');		
var timerId = 0;

function setRequest() {
	var httpRequest = false; 
	
	try { 
		if(window.XMLHttpRequest) { // Mozilla, Safari,...
			httpRequest = new XMLHttpRequest();
			if (httpRequest.overrideMimeType) {
				httpRequest.overrideMimeType('text/xml');
			}
		} else  {
			if (window.ActiveXObject) { // IE
				try {
					httpRequest = new ActiveXObject("Msxml2.XMLHTTP");
		        } catch (e) {
					try {
						httpRequest = new ActiveXObject("Microsoft.XMLHTTP");
					} catch (e) {}
				}
			}
		}		
		
		return httpRequest;
		
	} catch(e) {
		if(DEBUG) { alert("setRequest:\n"+e); }
	}
	
}

function makeRequest(url) { 
	try {
		var httpRequest = setRequest();
		        
		httpRequest.onreadystatechange = function() {
			if (httpRequest.readyState == 4) {
				if (httpRequest.status == 200) {
					if(!opener.sourceUrl) {
						opener.sourceUrl = url;
						document.getElementById('locatorBrowser').contentWindow.location =
								opener.sourceUrl+escape(document.getElementById('locatorText').value); 
					}
				} 
			}
		};
		httpRequest.open('GET', url, true);
		httpRequest.send(null);
		
	} catch(e) {
		if(DEBUG) { alert("makeRequest:\n"+e); }
	}

}

function setLocation() {
	try {
		document.getElementById('locatorText').value =
			document.getElementById('locatorText').value.replace(/\s+/g, ' ').replace(/^\s+|\s+$/g, '');
				
		if(document.getElementById('locatorText').value == '') {	
			document.getElementById('locatorText').value = opener.window.selectedText;
		}		
			
		if(mapType) {
			document.getElementById('googleBrowser').style.display = 'block';
			document.getElementById('locatorBrowser').style.display = 'none';
			document.getElementById('googleBrowser').contentWindow.location =	 
					sourceUrls[0]+document.getElementById('locatorText').value;
			clearInterval(timerId);
		} else {
			timerId = setTimeout("checkLocation()", 5000);
			document.getElementById('googleBrowser').style.display = 'none';
			document.getElementById('locatorBrowser').style.display = 'block';
			try {
				document.getElementById('locatorBrowser').contentWindow.locateOnMap(document.getElementById('locatorText').value);
			} 
			catch (e) {
				if(opener.sourceUrl) {
					document.getElementById('locatorBrowser').contentWindow.location = opener.sourceUrl + escape(document.getElementById('locatorText').value);
				} else {
					checkSource();
				}
			}
		}
						
	} catch(e) {
		if(DEBUG) { alert("Error: (setLocation)\n"+e); }
	}	
}

function checkLocation() {
	try {
		if(!mapType &&
				!document.getElementById('locatorBrowser').contentWindow.document.getElementById('map')) {
			switchLocation();
		}		
	} catch(e) {
		if(DEBUG) { alert("Error: (checkLocation)\n"+e); }
	}	
}

function switchLocation() {
	try {
		try {			
			document.getElementById('locatorText').value = 
				document.getElementById('googleBrowser').contentWindow.document.getElementById('q_d').value;
		} catch(e) {  }
		mapType = (mapType?0:1);
		document.getElementById('locatorSwitch').label = 
			(mapType?'Show Map only':'Advanced Search');
		setLocation();		
	} catch(e) {
		if(DEBUG) { alert("Error: (swithLocation)\n"+e); }
	}	
}

function checkSource() {
	for(var s = 1; s < sourceUrls.length; s++) {
		makeRequest(sourceUrls[s]);
	}
}
